import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { ConditionOrTreatment } from '../inspire-library.interface';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AddToMyProfileComponent implements OnInit, OnChanges, OnDestroy {
    toggleInterest: EventEmitter<ConditionOrTreatment>;
    selectedInterests: ConditionOrTreatment[];
    searchedInterests: ConditionOrTreatment[];
    inputControl: FormControl;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    onToggleInterest(interest: ConditionOrTreatment): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDef<AddToMyProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AddToMyProfileComponent, "ins-add-to-my-profile", never, { "selectedInterests": "selectedInterests"; "searchedInterests": "searchedInterests"; "inputControl": "inputControl"; }, { "toggleInterest": "toggleInterest"; }, never, never>;
}
